nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
AxisCameraDiscoveryManager Class Reference

Discovers AXIS cameras with MDNS search method (implements nxcip::CameraDiscoveryManager) More...

`#include <axis_discovery_manager.h>`

Inheritance diagram for AxisCameraDiscoveryManager:

## Public Member Functions
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual void | getVendorName (char *buf) const override
| Implementation of nxcip::CameraDiscoveryManager::getVendorName.
virtual int | findCameras (nxcip::CameraInfo *cameras, const char *localInterfaceIPAddr) override
| Implementation of nxcip::CameraDiscoveryManager::findCameras.
virtual int | checkHostAddress (nxcip::CameraInfo *cameras, const char *address, const char *login, const char *password) override
| Implementation of nxcip::CameraDiscoveryManager::checkHostAddress.
virtual int | fromMDNSData (const char *discoveredAddress, const unsigned char *mdnsResponsePacket, int mdnsResponsePacketSize, nxcip::CameraInfo *cameraInfo) override
| Implementation of nxcip::CameraDiscoveryManager::fromMDNSData.
virtual int | fromUpnpData (const char *upnpXMLData, int upnpXMLDataSize, nxcip::CameraInfo *cameraInfo) override
| Implementation of nxcip::CameraDiscoveryManager::fromUpnpData.
virtual nxcip::BaseCameraManager * | createCameraManager (const nxcip::CameraInfo &info) override
| Implementation of nxcip::CameraDiscoveryManager::createCameraManager.
virtual int | getReservedModelList (char **modelList, int *count) override
| Implementation of nxcip::CameraDiscoveryManager::getReservedModelList.

## Detailed Description

Discovers AXIS cameras with MDNS search method (implements nxcip::CameraDiscoveryManager)

Implements only MDNS search method (nxcip::CameraDiscoveryManager::fromMDNSData method)

Note
  Delegates reference counting to AxisCameraPlugin instance

The documentation for this class was generated from the following files:

- samples/device/axis_camera_plugin/src/axis_discovery_manager.h
- samples/device/axis_camera_plugin/src/axis_discovery_manager.cpp